Bug 23308 - Contents of "OpacMaintenanceNotice" HTML escaped on display
Summary: Contents of "OpacMaintenanceNotice" HTML escaped on display
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Andrew Isherwood
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-12 14:36 UTC by Andrew Isherwood
Modified: 2019-08-06 19:53 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.03


Attachments
Bug 23308: Change html to filter to $raw (1.58 KB, patch)
2019-07-12 14:39 UTC, Andrew Isherwood
Details | Diff | Splinter Review
Bug 23308: Change html to filter to $raw (1.63 KB, patch)
2019-07-12 18:00 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 23308: Change html to filter to $raw (1.70 KB, patch)
2019-07-12 18:08 UTC, Frédérik Chénier
Details | Diff | Splinter Review
Bug 23308: Change html to filter to $raw (1.75 KB, patch)
2019-07-13 09:44 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Isherwood 2019-07-12 14:36:44 UTC
The OpacMaintenanceNotice syspref states that you can enter HTML for display, but this is being rendered using the "html" filter, resulting in a less than desirable result. It should be using the $raw filter.
Comment 1 Andrew Isherwood 2019-07-12 14:39:03 UTC
Created attachment 91493 [details] [review]
Bug 23308: Change html to filter to $raw

This patch changes the erroneous html filter to $raw

Test plan:
- Apply patch
- Enter some HTML into the OpacMaintenanceNotice syspref
- View the OPAC front page
=> TEST: Observe that the notice displays correctly and the HTML is not
escaped
Comment 2 Maryse Simard 2019-07-12 18:00:28 UTC
Created attachment 91500 [details] [review]
Bug 23308: Change html to filter to $raw

This patch changes the erroneous html filter to $raw

Test plan:
- Apply patch
- Enter some HTML into the OpacMaintenanceNotice syspref
- View the OPAC front page
=> TEST: Observe that the notice displays correctly and the HTML is not
escaped

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 3 Frédérik Chénier 2019-07-12 18:08:59 UTC
Created attachment 91501 [details] [review]
Bug 23308: Change html to filter to $raw

This patch changes the erroneous html filter to $raw

Test plan:
- Apply patch
- Enter some HTML into the OpacMaintenanceNotice syspref
- View the OPAC front page
=> TEST: Observe that the notice displays correctly and the HTML is not
escaped

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Signed-off-by: frederik chenier <frederik.chenier@inlibro.com>
Comment 4 Katrin Fischer 2019-07-13 09:44:07 UTC
Created attachment 91515 [details] [review]
Bug 23308: Change html to filter to $raw

This patch changes the erroneous html filter to $raw

Test plan:
- Apply patch
- Enter some HTML into the OpacMaintenanceNotice syspref
- View the OPAC front page
=> TEST: Observe that the notice displays correctly and the HTML is not
escaped

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Signed-off-by: frederik chenier <frederik.chenier@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Martin Renvoize 2019-07-15 11:43:45 UTC
Nice work!

Pushed to master for 19.11.00
Comment 6 Fridolin SOMERS 2019-08-06 13:17:20 UTC
Pushed to 19.05.x for 19.05.03
Comment 7 Lucas Gass 2019-08-06 19:53:05 UTC
backported to 18.11.x for 18.11.09